# This script was automatically generated from the SSA-2007-026-01
# Slackware Security Advisory
# It is released under the Nessus Script Licence.
# Slackware Security Advisories are copyright 1999-2004 Slackware Linux, Inc.
# SSA2nasl Convertor is copyright 2004 Michel Arboi
# See http://www.slackware.com/about/ or http://www.slackware.com/security/
# Slackware(R) is a registered trademark of Slackware Linux, Inc.

if (! defined_func("bn_random")) exit(0);
desc='
New bind packages are available for Slackware 8.1, 9.0, 9.1, 10.0, 10.1,
10.2, and 11.0 to fix denial of service security issues.

Versions of bind-9.2.x older than bind-9.2.8, and versions of bind-9.3.x
older than 9.3.4 can be made to crash with malformed local or remote data.

More details about the issues may be found in the Common
Vulnerabilities and Exposures (CVE) database:

  http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-0493
  http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-0494

';
if (description) {
script_id(24667);
script_version("$Revision: 1.1 $");
script_category(ACT_GATHER_INFO);
script_family(english: "Slackware Local Security Checks");
script_dependencies("ssh_get_info.nasl");
script_copyright("This script is Copyright (C) 2007 Michel Arboi <mikhail@nessus.org>");
script_require_keys("Host/Slackware/release", "Host/Slackware/packages");
script_description(english: desc);

script_xref(name: "SSA", value: "2007-026-01");
script_summary("SSA-2007-026-01 bind ");
name["english"] = "SSA-2007-026-01 bind ";
script_name(english:name["english"]);
script_cve_id("CVE-2007-0493","CVE-2007-0494");
exit(0);
}

include('slackware.inc');
include('global_settings.inc');

if (slackware_check(osver: "8.1", pkgname: "bind", pkgver: "9.2.8", pkgnum:  "1", pkgarch: "i386")) {
w++;
if (report_verbosity > 0) desc = strcat(desc, '
The package bind is vulnerable in Slackware 8.1
Upgrade to bind-9.2.8-i386-1_slack8.1 or newer.
');
}
if (slackware_check(osver: "9.0", pkgname: "bind", pkgver: "9.2.8", pkgnum:  "1", pkgarch: "i386")) {
w++;
if (report_verbosity > 0) desc = strcat(desc, '
The package bind is vulnerable in Slackware 9.0
Upgrade to bind-9.2.8-i386-1_slack9.0 or newer.
');
}
if (slackware_check(osver: "9.1", pkgname: "bind", pkgver: "9.2.8", pkgnum:  "1", pkgarch: "i486")) {
w++;
if (report_verbosity > 0) desc = strcat(desc, '
The package bind is vulnerable in Slackware 9.1
Upgrade to bind-9.2.8-i486-1_slack9.1 or newer.
');
}
if (slackware_check(osver: "10.0", pkgname: "bind", pkgver: "9.2.8", pkgnum:  "1", pkgarch: "i486")) {
w++;
if (report_verbosity > 0) desc = strcat(desc, '
The package bind is vulnerable in Slackware 10.0
Upgrade to bind-9.2.8-i486-1_slack10.0 or newer.
');
}
if (slackware_check(osver: "10.1", pkgname: "bind", pkgver: "9.3.4", pkgnum:  "1", pkgarch: "i486")) {
w++;
if (report_verbosity > 0) desc = strcat(desc, '
The package bind is vulnerable in Slackware 10.1
Upgrade to bind-9.3.4-i486-1_slack10.1 or newer.
');
}
if (slackware_check(osver: "10.2", pkgname: "bind", pkgver: "9.3.4", pkgnum:  "1", pkgarch: "i486")) {
w++;
if (report_verbosity > 0) desc = strcat(desc, '
The package bind is vulnerable in Slackware 10.2
Upgrade to bind-9.3.4-i486-1_slack10.2 or newer.
');
}
if (slackware_check(osver: "11.0", pkgname: "bind", pkgver: "9.3.4", pkgnum:  "1", pkgarch: "i486")) {
w++;
if (report_verbosity > 0) desc = strcat(desc, '
The package bind is vulnerable in Slackware 11.0
Upgrade to bind-9.3.4-i486-1_slack11.0 or newer.
');
}

if (w) { security_hole(port: 0, data: desc); }
