# This script was automatically generated from the dsa-1147
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
Ayman Hourieh discovered that Drupal, a dynamic website platform,
performs insufficient input sanitising in the user module, which
might lead to cross-site scripting.
For the stable distribution (sarge) this problem has been fixed in
version 4.5.3-6.1sarge3.
For the unstable distribution (sid) this problem has been fixed in
version 4.5.8-2.
We recommend that you upgrade your drupal package.


Solution : http://www.debian.org/security/2006/dsa-1147
Risk factor : High';

if (description) {
 script_id(22689);
 script_version("$Revision: 1.2 $");
 script_xref(name: "DSA", value: "1147");
 script_cve_id("CVE-2006-4002");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1147] DSA-1147-1 drupal");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1147-1 drupal");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'drupal', release: '3.1', reference: '4.5.3-6.1sarge3')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package drupal is vulnerable in Debian 3.1.\nUpgrade to drupal_4.5.3-6.1sarge3\n');
}
if (deb_check(prefix: 'drupal', release: '4.0', reference: '4.5.8-2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package drupal is vulnerable in Debian 4.0.\nUpgrade to drupal_4.5.8-2\n');
}
if (deb_check(prefix: 'drupal', release: '3.1', reference: '4.5.3-6.1sarge3')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package drupal is vulnerable in Debian sarge.\nUpgrade to drupal_4.5.3-6.1sarge3\n');
}
if (w) { security_hole(port: 0, data: desc); }
