# This script was automatically generated from the dsa-1269
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
Tatsuya Kinoshita discovered that Lookup, a search interface to
electronic dictionaries on emacsen, creates a temporary file in an
insecure fashion when the ndeb-binary feature is used, which allows a
local attacker to craft a symlink attack to overwrite arbitrary files.
For the stable distribution (sarge) this problem has been fixed in
version 1.4-3sarge1.
For the testing distribution (etch) this problem has been fixed in
version 1.4-5.
For the unstable distribution (sid) this problem has been fixed in
version 1.4-5.
We recommend that you upgrade your lookup-el package.


Solution : http://www.debian.org/security/2007/dsa-1269
Risk factor : High';

if (description) {
 script_id(24865);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1269");
 script_cve_id("CVE-2007-0237");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1269] DSA-1269-1 lookup-el");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1269-1 lookup-el");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'lookup-el', release: '3.1', reference: '1.4-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package lookup-el is vulnerable in Debian 3.1.\nUpgrade to lookup-el_1.4-3sarge1\n');
}
if (deb_check(prefix: 'lookup-el', release: '4.0', reference: '1.4-5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package lookup-el is vulnerable in Debian 4.0.\nUpgrade to lookup-el_1.4-5\n');
}
if (deb_check(prefix: 'lookup-el', release: '4.0', reference: '1.4-5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package lookup-el is vulnerable in Debian etch.\nUpgrade to lookup-el_1.4-5\n');
}
if (deb_check(prefix: 'lookup-el', release: '3.1', reference: '1.4-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package lookup-el is vulnerable in Debian sarge.\nUpgrade to lookup-el_1.4-3sarge1\n');
}
if (w) { security_hole(port: 0, data: desc); }
