# This script was automatically generated from the dsa-1277
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
Multiple errors have been found in the skin handling routines in xmms,
the X Multimedia System.  These vulnerabilities could allow an
attacker to run arbitrary code as the user running xmms by inducing
the victim to load specially crafted interface skin files.
For the stable distribution (sarge), these problems have been fixed in
version 1.2.10+cvs20050209-2sarge1.
For the upcoming stable distrubution (etch) and the unstable
distribution (sid), these problems have been fixed in versions
1:1.2.10+20061101-1etch1 and 1:1.2.10+20070401-1, respectively.
We recommend that you upgrade your xmms packages.


Solution : http://www.debian.org/security/2007/dsa-1277
Risk factor : High';

if (description) {
 script_id(25011);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1277");
 script_cve_id("CVE-2007-0653", "CVE-2007-0654");
 script_bugtraq_id(23078);

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1277] DSA-1277-1 XMMS");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1277-1 XMMS");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'xmms', release: '3.1', reference: '1.2.10+cvs20050209-2sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package xmms is vulnerable in Debian 3.1.\nUpgrade to xmms_1.2.10+cvs20050209-2sarge1\n');
}
if (deb_check(prefix: 'xmms-dev', release: '3.1', reference: '1.2.10+cvs20050209-2sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package xmms-dev is vulnerable in Debian 3.1.\nUpgrade to xmms-dev_1.2.10+cvs20050209-2sarge1\n');
}
if (deb_check(prefix: 'xmms', release: '3.1', reference: '1.2.10+cvs20050209-2sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package xmms is vulnerable in Debian sarge.\nUpgrade to xmms_1.2.10+cvs20050209-2sarge1\n');
}
if (w) { security_hole(port: 0, data: desc); }
