# This script was automatically generated from the dsa-1292
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
Andreas Nolden discovered a bug in the UTF8 decoding routines in
qt4-x11, a C++ GUI library framework, that could allow remote
attackers to conduct cross-site scripting (XSS) and directory
traversal attacks via long sequences that decode to dangerous
metacharacters.
For the stable distribution (etch), this problem has been fixed in version
4.2.1-2etch1.
For the testing and unstable distribution (lenny and sid, respectively),
this problem has been fixed in version 4.2.2-2.
We recommend that you upgrade your qt4-x11 package.


Solution : http://www.debian.org/security/2007/dsa-1292
Risk factor : High';

if (description) {
 script_id(25229);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1292");
 script_cve_id("CVE-2007-0242");
 script_bugtraq_id(23269);

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1292] DSA-1292-1 qt4-x11");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1292-1 qt4-x11");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'libqt4-core', release: '4.0', reference: '4.2.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libqt4-core is vulnerable in Debian 4.0.\nUpgrade to libqt4-core_4.2.1-2etch1\n');
}
if (deb_check(prefix: 'libqt4-debug', release: '4.0', reference: '4.2.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libqt4-debug is vulnerable in Debian 4.0.\nUpgrade to libqt4-debug_4.2.1-2etch1\n');
}
if (deb_check(prefix: 'libqt4-dev', release: '4.0', reference: '4.2.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libqt4-dev is vulnerable in Debian 4.0.\nUpgrade to libqt4-dev_4.2.1-2etch1\n');
}
if (deb_check(prefix: 'libqt4-gui', release: '4.0', reference: '4.2.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libqt4-gui is vulnerable in Debian 4.0.\nUpgrade to libqt4-gui_4.2.1-2etch1\n');
}
if (deb_check(prefix: 'libqt4-qt3support', release: '4.0', reference: '4.2.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libqt4-qt3support is vulnerable in Debian 4.0.\nUpgrade to libqt4-qt3support_4.2.1-2etch1\n');
}
if (deb_check(prefix: 'libqt4-sql', release: '4.0', reference: '4.2.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libqt4-sql is vulnerable in Debian 4.0.\nUpgrade to libqt4-sql_4.2.1-2etch1\n');
}
if (deb_check(prefix: 'qt4-designer', release: '4.0', reference: '4.2.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package qt4-designer is vulnerable in Debian 4.0.\nUpgrade to qt4-designer_4.2.1-2etch1\n');
}
if (deb_check(prefix: 'qt4-dev-tools', release: '4.0', reference: '4.2.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package qt4-dev-tools is vulnerable in Debian 4.0.\nUpgrade to qt4-dev-tools_4.2.1-2etch1\n');
}
if (deb_check(prefix: 'qt4-doc', release: '4.0', reference: '4.2.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package qt4-doc is vulnerable in Debian 4.0.\nUpgrade to qt4-doc_4.2.1-2etch1\n');
}
if (deb_check(prefix: 'qt4-qtconfig', release: '4.0', reference: '4.2.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package qt4-qtconfig is vulnerable in Debian 4.0.\nUpgrade to qt4-qtconfig_4.2.1-2etch1\n');
}
if (deb_check(prefix: 'qt4-x11', release: '4.0', reference: '4.2.2-2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package qt4-x11 is vulnerable in Debian 4.0.\nUpgrade to qt4-x11_4.2.2-2\n');
}
if (deb_check(prefix: 'qt4-x11', release: '4.0', reference: '4.2.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package qt4-x11 is vulnerable in Debian etch.\nUpgrade to qt4-x11_4.2.1-2etch1\n');
}
if (w) { security_hole(port: 0, data: desc); }
