# This script was automatically generated from the dsa-1295
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
Several remote vulnerabilities have been discovered in PHP, a
server-side, HTML-embedded scripting language, which may lead to the
execution of arbitrary code. The Common Vulnerabilities and Exposures
project identifies the following problems:
    It was discovered that missing input sanitising inside the ftp
    extension permits an attacker to execute arbitrary FTP commands.
    This requires the attacker to already have access to the FTP
    server.
    It was discovered that a buffer overflow in the SOAP extension permits
    the execution of arbitrary code.
The oldstable distribution (sarge) doesn\'t include php5.
For the stable distribution (etch) these problems have been fixed
in version 5.2.0-8+etch4.
For the unstable distribution (sid) these problems have been fixed in
version 5.2.2-1.
We recommend that you upgrade your PHP packages. Packages for the Sparc
architectures are not yet available, due to problems on the build host. They
will be provided later.


Solution : http://www.debian.org/security/2007/dsa-1295
Risk factor : High';

if (description) {
 script_id(25299);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1295");
 script_cve_id("CVE-2007-2509", "CVE-2007-2510");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1295] DSA-1295-1 php5");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1295-1 php5");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'php5', release: '', reference: '5.2.2-1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5 is vulnerable in Debian .\nUpgrade to php5_5.2.2-1\n');
}
if (deb_check(prefix: 'libapache-mod-php5', release: '4.0', reference: '5.2.0-8+etch4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libapache-mod-php5 is vulnerable in Debian 4.0.\nUpgrade to libapache-mod-php5_5.2.0-8+etch4\n');
}
if (deb_check(prefix: 'libapache2-mod-php5', release: '4.0', reference: '5.2.0-8+etch4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libapache2-mod-php5 is vulnerable in Debian 4.0.\nUpgrade to libapache2-mod-php5_5.2.0-8+etch4\n');
}
if (deb_check(prefix: 'php-pear', release: '4.0', reference: '5.2.0-8+etch4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php-pear is vulnerable in Debian 4.0.\nUpgrade to php-pear_5.2.0-8+etch4\n');
}
if (deb_check(prefix: 'php5', release: '4.0', reference: '5.2.0-8+etch4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5 is vulnerable in Debian 4.0.\nUpgrade to php5_5.2.0-8+etch4\n');
}
if (deb_check(prefix: 'php5-cgi', release: '4.0', reference: '5.2.0-8+etch4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-cgi is vulnerable in Debian 4.0.\nUpgrade to php5-cgi_5.2.0-8+etch4\n');
}
if (deb_check(prefix: 'php5-cli', release: '4.0', reference: '5.2.0-8+etch4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-cli is vulnerable in Debian 4.0.\nUpgrade to php5-cli_5.2.0-8+etch4\n');
}
if (deb_check(prefix: 'php5-common', release: '4.0', reference: '5.2.0-8+etch4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-common is vulnerable in Debian 4.0.\nUpgrade to php5-common_5.2.0-8+etch4\n');
}
if (deb_check(prefix: 'php5-curl', release: '4.0', reference: '5.2.0-8+etch4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-curl is vulnerable in Debian 4.0.\nUpgrade to php5-curl_5.2.0-8+etch4\n');
}
if (deb_check(prefix: 'php5-dev', release: '4.0', reference: '5.2.0-8+etch4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-dev is vulnerable in Debian 4.0.\nUpgrade to php5-dev_5.2.0-8+etch4\n');
}
if (deb_check(prefix: 'php5-gd', release: '4.0', reference: '5.2.0-8+etch4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-gd is vulnerable in Debian 4.0.\nUpgrade to php5-gd_5.2.0-8+etch4\n');
}
if (deb_check(prefix: 'php5-imap', release: '4.0', reference: '5.2.0-8+etch4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-imap is vulnerable in Debian 4.0.\nUpgrade to php5-imap_5.2.0-8+etch4\n');
}
if (deb_check(prefix: 'php5-interbase', release: '4.0', reference: '5.2.0-8+etch4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-interbase is vulnerable in Debian 4.0.\nUpgrade to php5-interbase_5.2.0-8+etch4\n');
}
if (deb_check(prefix: 'php5-ldap', release: '4.0', reference: '5.2.0-8+etch4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-ldap is vulnerable in Debian 4.0.\nUpgrade to php5-ldap_5.2.0-8+etch4\n');
}
if (deb_check(prefix: 'php5-mcrypt', release: '4.0', reference: '5.2.0-8+etch4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-mcrypt is vulnerable in Debian 4.0.\nUpgrade to php5-mcrypt_5.2.0-8+etch4\n');
}
if (deb_check(prefix: 'php5-mhash', release: '4.0', reference: '5.2.0-8+etch4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-mhash is vulnerable in Debian 4.0.\nUpgrade to php5-mhash_5.2.0-8+etch4\n');
}
if (deb_check(prefix: 'php5-mysql', release: '4.0', reference: '5.2.0-8+etch4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-mysql is vulnerable in Debian 4.0.\nUpgrade to php5-mysql_5.2.0-8+etch4\n');
}
if (deb_check(prefix: 'php5-odbc', release: '4.0', reference: '5.2.0-8+etch4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-odbc is vulnerable in Debian 4.0.\nUpgrade to php5-odbc_5.2.0-8+etch4\n');
}
if (deb_check(prefix: 'php5-pgsql', release: '4.0', reference: '5.2.0-8+etch4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-pgsql is vulnerable in Debian 4.0.\nUpgrade to php5-pgsql_5.2.0-8+etch4\n');
}
if (deb_check(prefix: 'php5-pspell', release: '4.0', reference: '5.2.0-8+etch4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-pspell is vulnerable in Debian 4.0.\nUpgrade to php5-pspell_5.2.0-8+etch4\n');
}
if (deb_check(prefix: 'php5-recode', release: '4.0', reference: '5.2.0-8+etch4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-recode is vulnerable in Debian 4.0.\nUpgrade to php5-recode_5.2.0-8+etch4\n');
}
if (deb_check(prefix: 'php5-snmp', release: '4.0', reference: '5.2.0-8+etch4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-snmp is vulnerable in Debian 4.0.\nUpgrade to php5-snmp_5.2.0-8+etch4\n');
}
if (deb_check(prefix: 'php5-sqlite', release: '4.0', reference: '5.2.0-8+etch4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-sqlite is vulnerable in Debian 4.0.\nUpgrade to php5-sqlite_5.2.0-8+etch4\n');
}
if (deb_check(prefix: 'php5-sybase', release: '4.0', reference: '5.2.0-8+etch4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-sybase is vulnerable in Debian 4.0.\nUpgrade to php5-sybase_5.2.0-8+etch4\n');
}
if (deb_check(prefix: 'php5-tidy', release: '4.0', reference: '5.2.0-8+etch4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-tidy is vulnerable in Debian 4.0.\nUpgrade to php5-tidy_5.2.0-8+etch4\n');
}
if (deb_check(prefix: 'php5-xmlrpc', release: '4.0', reference: '5.2.0-8+etch4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-xmlrpc is vulnerable in Debian 4.0.\nUpgrade to php5-xmlrpc_5.2.0-8+etch4\n');
}
if (deb_check(prefix: 'php5-xsl', release: '4.0', reference: '5.2.0-8+etch4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-xsl is vulnerable in Debian 4.0.\nUpgrade to php5-xsl_5.2.0-8+etch4\n');
}
if (deb_check(prefix: 'php5', release: '4.0', reference: '5.2.0-8+etch4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5 is vulnerable in Debian etch.\nUpgrade to php5_5.2.0-8+etch4\n');
}
if (w) { security_hole(port: 0, data: desc); }
