# This script was automatically generated from the dsa-1313
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
Stefan Cornelius and Reimar Doeffinger discovered that the MPlayer movie
player performs insufficient boundary checks when accessing CDDB data,
which might lead to the execution of arbitrary code.
The oldstable distribution (sarge) doesn\'t include MPlayer packages.
For the stable distribution (etch) this problem has been fixed in
version 1.0~rc1-12etch1.
For the unstable distribution (sid) this problem has been fixed in
version 1.0~rc1-14.
We recommend that you upgrade your mplayer package.


Solution : http://www.debian.org/security/2007/dsa-1313
Risk factor : High';

if (description) {
 script_id(25557);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1313");
 script_cve_id("CVE-2007-2948");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1313] DSA-1313-1 mplayer");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1313-1 mplayer");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'mplayer', release: '', reference: '1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package mplayer is vulnerable in Debian .\nUpgrade to mplayer_1\n');
}
if (deb_check(prefix: 'mplayer', release: '4.0', reference: '1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package mplayer is vulnerable in Debian etch.\nUpgrade to mplayer_1\n');
}
if (w) { security_hole(port: 0, data: desc); }
