# This script was automatically generated from the dsa-1316
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '

It has been discovered that emacs, the GNU Emacs editor, will crash when
processing certain types of images.
For the stable distribution (etch), this problem has been fixed in version 21.4a+1-3etch1
We recommend that you upgrade your emacs21 (21.4a+1-3etch1) package.


Solution : http://www.debian.org/security/2007/dsa-1316
Risk factor : High';

if (description) {
 script_id(25582);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1316");
 script_cve_id("CVE-2007-2833");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1316] DSA-1316-1 emacs21");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1316-1 emacs21");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'emacs', release: '4.0', reference: '21.4a+1-3etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package emacs is vulnerable in Debian 4.0.\nUpgrade to emacs_21.4a+1-3etch1\n');
}
if (deb_check(prefix: 'emacs21', release: '4.0', reference: '21.4a+1-3etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package emacs21 is vulnerable in Debian 4.0.\nUpgrade to emacs21_21.4a+1-3etch1\n');
}
if (deb_check(prefix: 'emacs21-bin-common', release: '4.0', reference: '21.4a+1-3etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package emacs21-bin-common is vulnerable in Debian 4.0.\nUpgrade to emacs21-bin-common_21.4a+1-3etch1\n');
}
if (deb_check(prefix: 'emacs21-common', release: '4.0', reference: '21.4a+1-3etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package emacs21-common is vulnerable in Debian 4.0.\nUpgrade to emacs21-common_21.4a+1-3etch1\n');
}
if (deb_check(prefix: 'emacs21-el', release: '4.0', reference: '21.4a+1-3etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package emacs21-el is vulnerable in Debian 4.0.\nUpgrade to emacs21-el_21.4a+1-3etch1\n');
}
if (deb_check(prefix: 'emacs21-nox', release: '4.0', reference: '21.4a+1-3etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package emacs21-nox is vulnerable in Debian 4.0.\nUpgrade to emacs21-nox_21.4a+1-3etch1\n');
}
if (deb_check(prefix: 'emacs21', release: '4.0', reference: '21')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package emacs21 is vulnerable in Debian etch.\nUpgrade to emacs21_21\n');
}
if (w) { security_hole(port: 0, data: desc); }
