#
# (C) Tenable Network Security
#
# This plugin text is was extracted from the Fedora Security Advisory
#


if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(24039);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CVE-2006-3694", "CVE-2006-5467");
 
 name["english"] = "Fedora Core 5 2006-1110: ruby";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
The remote host is missing the patch for the advisory FEDORA-2006-1110 (ruby).

Ruby is the interpreted scripting language for quick and easy
object-oriented programming.  It has many features to process text
files and to do system management tasks (as in Perl).  It is simple,
straight-forward, and extensible.



Update information :

* Fri Oct 27 2006 Akira TAGOH <tagoh redhat com> - 1.8.5-1
- security fix release.
- ruby-1.8.5-cgi-CVE-2006-5467.patch: fix a CGI multipart parsing bug that
causes the denial of service. (#212396)
- backport fixes from devel.
- fixed rbconfig.rb to refer to DESTDIR for sitearchdir. (#207311)
- updates to 1.8.5
- removed the unnecessary patches:
ruby-1.8.4-no-eaccess.patch, ruby-1.8.4-64bit-pack.patch,
ruby-1.8.4-fix-insecure-dir-operation.patch,
ruby-1.8.4-fix-insecure-regexp-modification.patch,
ruby-1.8.4-fix-alias-safe-level.patch.
- build with --enable-pthread except on ppc.
- ruby-1.8.5-hash-memory-leak.patch: backported from CVS to fix a memory leak
on Hash. [ruby-talk:211233]
- owns sitearchdir. (#201208)


Solution : Get the newest Fedora Updates
Risk factor : High";



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the ruby package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Fedora Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"ruby-irb-1.8.5-1.fc5", release:"FC5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"ruby-libs-1.8.5-1.fc5", release:"FC5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"ruby-mode-1.8.5-1.fc5", release:"FC5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"ruby-docs-1.8.5-1.fc5", release:"FC5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"ruby-1.8.5-1.fc5", release:"FC5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"ruby-tcltk-1.8.5-1.fc5", release:"FC5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"ruby-ri-1.8.5-1.fc5", release:"FC5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"ruby-devel-1.8.5-1.fc5", release:"FC5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"ruby-rdoc-1.8.5-1.fc5", release:"FC5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_exists(rpm:"ruby-", release:"FC5") )
{
 set_kb_item(name:"CVE-2006-3694", value:TRUE);
 set_kb_item(name:"CVE-2006-5467", value:TRUE);
}
