#
# (C) Tenable Network Security
#
# This plugin text is was extracted from the Fedora Security Advisory
#


if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(24065);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CVE-2006-4514");
 
 name["english"] = "Fedora Core 5 2006-1399: libgsf";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
The remote host is missing the patch for the advisory FEDORA-2006-1399 (libgsf).

A library for reading and writing structured files (eg MS OLE and Zip)

Update Information:

Security errata for potential heap overflow in reading
corrupt ole2 documents


Solution : Get the newest Fedora Updates
Risk factor : High";



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the libgsf package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Fedora Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"libgsf-devel-1.13.3-3", release:"FC5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libgsf-1.13.3-3", release:"FC5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_exists(rpm:"libgsf-", release:"FC5") )
{
 set_kb_item(name:"CVE-2006-4514", value:TRUE);
}
