#
# (C) Tenable Network Security
#
# This plugin text is was extracted from the Fedora Security Advisory
#


if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(24070);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CVE-2006-5864");
 
 name["english"] = "Fedora Core 6 2006-1438: evince";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
The remote host is missing the patch for the advisory FEDORA-2006-1438 (evince).

evince is a GNOME-based document viewer.

Update Information:

The PostScript backend of evince had a buffer overflow
(CVE-2006-5864). This update fixes the problem.


Solution : Get the newest Fedora Updates
Risk factor : High";



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the evince package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Fedora Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"evince-0.6.0-5.fc6", release:"FC6") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_exists(rpm:"evince-", release:"FC6") )
{
 set_kb_item(name:"CVE-2006-5864", value:TRUE);
}
