#
# (C) Tenable Network Security
#
# This plugin text is was extracted from the Fedora Security Advisory
#


if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(24078);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CAN-2005-0201", "CVE-2006-6107");
 
 name["english"] = "Fedora Core 6 2006-1475: dbus";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
The remote host is missing the patch for the advisory FEDORA-2006-1475 (dbus).


D-BUS is a system for sending messages between applications. It is
used both for the systemwide message bus service, and as a
per-user-login-session messaging facility.

Update Information:

Kimmo H¤m¤l¤inen reported a DoS flaw in D-Bus that can cause
a local user to disable the the ability of another process
to receive certain messages.  This flaw does not contain any
potential for arbitrary code execution.


Solution : Get the newest Fedora Updates
Risk factor : High";



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the dbus package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Fedora Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"dbus-1.0.1-8.fc6", release:"FC6") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"dbus-x11-1.0.1-8.fc6", release:"FC6") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"dbus-devel-1.0.1-8.fc6", release:"FC6") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_exists(rpm:"dbus-", release:"FC6") )
{
 set_kb_item(name:"CAN-2005-0201", value:TRUE);
 set_kb_item(name:"CVE-2006-6107", value:TRUE);
}
