#
# (C) Tenable Network Security
#
# This plugin text is was extracted from the Fedora Security Advisory
#


if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(24082);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CVE-2006-5973");
 
 name["english"] = "Fedora Core 5 2006-1504: dovecot";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
The remote host is missing the patch for the advisory FEDORA-2006-1504 (dovecot).

Dovecot is an IMAP server for Linux/UNIX-like systems, written with security
primarily in mind.  It also contains a small POP3 server.  It supports mail
in either of maildir or mbox formats.



Update information :

* Thu Dec 21 2006 Tomas Janousek <tjanouse redhat com> - 1.0-0.beta8.3.fc5
- fixed default paths in the example mkcert.sh to match configuration
defaults (fixes #183151)
- fixed off by one (#216508, CVE-2006-5973)


Solution : Get the newest Fedora Updates
Risk factor : High";



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the dovecot package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Fedora Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"dovecot-1.0-0.beta8.3.fc5", prefix:"dovecot-", release:"FC5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_exists(rpm:"dovecot-", release:"FC5") )
{
 set_kb_item(name:"CVE-2006-5973", value:TRUE);
}
