#
# (C) Tenable Network Security
#
# This plugin text is was extracted from the Fedora Security Advisory
#


if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(24178);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CVE-2006-4790");
 
 name["english"] = "Fedora Core 5 2006-974: gnutls";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
The remote host is missing the patch for the advisory FEDORA-2006-974 (gnutls).

GnuTLS is a project that aims to develop a library which provides a secure
layer, over a reliable transport layer. Currently the GnuTLS library implements
the proposed standards by the IETF's TLS working group.



Update information :

* Thu Sep 14 2006 Tomas Mraz <tmraz redhat com> 1.2.10-3
- detect forged signatures - CVE-2006-4790 (#206411), patch
from upstream


Solution : Get the newest Fedora Updates
Risk factor : High";



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the gnutls package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Fedora Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"gnutls-devel-1.2.10-3", release:"FC5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"gnutls-utils-1.2.10-3", release:"FC5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"gnutls-1.2.10-3", release:"FC5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_exists(rpm:"gnutls-", release:"FC5") )
{
 set_kb_item(name:"CVE-2006-4790", value:TRUE);
}
