#
# (C) Tenable Network Security
#
# This plugin text is was extracted from the Fedora Security Advisory
#

 desc["english"] = "
The remote host is missing the patch for the advisory FEDORA-2007-424 (xorg-x11-server).

X.Org X11 X server



Update information :

* Sun Apr  8 2007 Adam Jackson <ajax redhat com> 1.0.1-9.fc5.7
- xserver-cve-2007-1003.patch: Fix CVE 2007-1003 in XC-MISC extension.
- xorg-x11-server-1.0.1-intel-bridge-fix.patch: Backport an Intel PCI bridge
fix from FC6.


Solution : Get the newest Fedora Updates
Risk factor : High";

if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(25027);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CVE-2006-1526");
 
 name["english"] = "Fedora Core 5 2007-424: xorg-x11-server";
 
 script_name(english:name["english"]);
 



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the xorg-x11-server package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Fedora Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

include("rpm.inc");

if ( rpm_check( reference:"xorg-x11-server-1.0.1-9.fc5.7", prefix:"xorg-x11-server-", release:"FC5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_exists(rpm:"xorg-x11-server-", release:"FC5") )
{
 set_kb_item(name:"CVE-2006-1526", value:TRUE);
}
