#
# (C) Tenable Network Security
#
# This plugin text is was extracted from the Fedora Security Advisory
#

 desc["english"] = "
The remote host is missing the patch for the advisory FEDORA-2007-506 (samba).


Samba is the suite of programs by which a lot of PC-related machines
share files, printers, and other information (such as lists of
available files and printers). The Windows NT, OS/2, and Linux
operating systems support this natively, and add-on packages can
enable the same thing for DOS, Windows, VMS, UNIX of all kinds, MVS,
and more. This package provides an SMB server that can be used to
provide network services to SMB (sometimes called 'Lan Manager')
clients. Samba uses NetBIOS over TCP/IP (NetBT) protocols and does NOT
need the NetBEUI (Microsoft Raw NetBIOS frame) protocol.

Update Information:

This release of Samba fixes some Serious security bugs:
- CVE-2007-2444
- CVE-2007-2446
- CVE-2007-2447

Official upstream announcements here:
[8]http://www.samba.org/samba/security/CVE-2007-2444.html
[9]http://www.samba.org/samba/security/CVE-2007-2446.html
[10]http://www.samba.org/samba/security/CVE-2007-2447.html


Solution : Get the newest Fedora Updates
Risk factor : High";

if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(25233);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CVE-2006-3403", "CVE-2007-0452", "CVE-2007-2444", "CVE-2007-2446", "CVE-2007-2447");
 
 name["english"] = "Fedora Core 5 2007-506: samba";
 
 script_name(english:name["english"]);
 



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the samba package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Fedora Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

include("rpm.inc");

if ( rpm_check( reference:"samba-3.0.24-5.fc5", release:"FC5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"samba-swat-3.0.24-5.fc5", release:"FC5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_exists(rpm:"samba-", release:"FC5") )
{
 set_kb_item(name:"CVE-2006-3403", value:TRUE);
 set_kb_item(name:"CVE-2007-0452", value:TRUE);
 set_kb_item(name:"CVE-2007-2444", value:TRUE);
 set_kb_item(name:"CVE-2007-2446", value:TRUE);
 set_kb_item(name:"CVE-2007-2447", value:TRUE);
}
