#
# (C) Tenable Network Security
#
# This plugin text is was extracted from the Fedora Security Advisory
#

 desc["english"] = "
The remote host is missing the patch for the advisory FEDORA-2007-584 (spamassassin).

SpamAssassin provides you with a way to reduce if not completely eliminate
Unsolicited Commercial Email (SPAM) from your incoming email.  It can
be invoked by a MDA such as sendmail or postfix, or can be called from
a procmail script, .forward file, etc.  It uses a genetic-algorithm
evolved scoring system to identify messages which look spammy, then
adds headers to the message so they can be filtered by the user's mail
reading software.  This distribution includes the spamd/spamc components
which create a server that considerably speeds processing of mail.

To enable spamassassin, if you are receiving mail locally, simply add
this line to your ~/.procmailrc:
INCLUDERC=/etc/mail/spamassassin/spamassassin-default.rc

To filter spam for all users, add that line to /etc/procmailrc
(creating if necessary).

Update Information:

Local symlink vulnerability. Fedora is not vulnerable in any
default or common configurations. Read upstream's
announcement for details.

[8]http://spamassassin.apache.org/advisories/cve-2007-2873.txt


Solution : Get the newest Fedora Updates
Risk factor : High";

if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(25509);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CVE-2006-2447", "CVE-2007-0451", "CVE-2007-2873");
 
 name["english"] = "Fedora Core 5 2007-584: spamassassin";
 
 script_name(english:name["english"]);
 



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the spamassassin package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Fedora Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

include("rpm.inc");

if ( rpm_check( reference:"spamassassin-3.1.9-1.fc5.1", prefix:"spamassassin-", release:"FC5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_exists(rpm:"spamassassin-", release:"FC5") )
{
 set_kb_item(name:"CVE-2006-2447", value:TRUE);
 set_kb_item(name:"CVE-2007-0451", value:TRUE);
 set_kb_item(name:"CVE-2007-2873", value:TRUE);
}
