#
# (C) Tenable Network Security
#
# This plugin text was extracted from Mandrake Linux Security Advisory MDKA-2006:048
#


if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(24523);
 script_version ("$Revision: 1.1 $");
 
 name["english"] = "MDKA-2006:048: gnuplot";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
The remote host is missing the patch for the advisory MDKA-2006:048 (gnuplot).

An error in gnuplot was causing it to fail with a segmentation fault
whenever the user attempted to produce a graphical plot via the default
'x11' term. The updated package corrects this error and allows
graphical plotting via X11.
Updated packages correct this issue.

Solution : http://wwwnew.mandriva.com/security/advisories?name=MDKA-2006:048
Risk factor : High";



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the gnuplot package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Mandrake Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Mandrake/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"gnuplot-4.0.0-11.1mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
