#
# (C) Tenable Network Security
#
# This plugin text was extracted from Mandrake Linux Security Advisory MDKA-2006:051
#


if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(24526);
 script_version ("$Revision: 1.1 $");
 
 name["english"] = "MDKA-2006:051: webmin";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
The remote host is missing the patch for the advisory MDKA-2006:051 (webmin).

Webmin is a web-based interface for system administration for Unix.
For the Mandriva 2007.0 release, the webmin package received a patch to
the operating system detection code to cope with the Mandriva name
change. This patch unfortunately introduced a problem where many webmin
modules would no longer work, like cron, MySQL and many others.
This issue is fixed with this update.

Solution : http://wwwnew.mandriva.com/security/advisories?name=MDKA-2006:051
Risk factor : High";



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the webmin package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Mandrake Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Mandrake/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"webmin-1.290-4.3mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"webmin-1.290-4.3mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
