#
# (C) Tenable Network Security
#
# This plugin text was extracted from Mandrake Linux Security Advisory MDKA-2007:047
#


if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(25308);
 script_version ("$Revision: 1.1 $");
 
 name["english"] = "MDKA-2007:047: x11-driver-video-sis";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
The remote host is missing the patch for the advisory MDKA-2007:047 (x11-driver-video-sis).

The sis video driver would crash during X.org startup, reporting that
there were some undefined symbols (asserts), resulting in the server
aborting its execution.
The updated driver corrects the problem by removing the references
to assert.

Solution : http://wwwnew.mandriva.com/security/advisories?name=MDKA-2007:047
Risk factor : High";



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the x11-driver-video-sis package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Mandrake Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Mandrake/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"x11-driver-video-sis-0.9.3-1.1mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
