#
# (C) Tenable Network Security
#
# This plugin text was extracted from Mandrake Linux Security Advisory MDKSA-2007:031
#


if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(24644);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CVE-2007-0478", "CVE-2007-0537");
 
 name["english"] = "MDKSA-2007:031: kdelibs";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
The remote host is missing the patch for the advisory MDKSA-2007:031 (kdelibs).

Konqueror 3.5.5 does not properly parse HTML comments in title tags,
which allows remote attackers to conduct cross-site scripting (XSS)
attacks and bypass some XSS protection schemes by embedding certain
HTML tags within a comment, a related issue to CVE-2007-0478.
Updated packages have been patched to correct this issue.

Solution : http://wwwnew.mandriva.com/security/advisories?name=MDKSA-2007:031
Risk factor : High";



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the kdelibs package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Mandrake Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Mandrake/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"kdelibs-common-3.5.4-19.2mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"kdelibs-devel-doc-3.5.4-19.2mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libkdecore4-3.5.4-19.2mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libkdecore4-devel-3.5.4-19.2mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if (rpm_exists(rpm:"kdelibs-", release:"MDK2007.0") )
{
 set_kb_item(name:"CVE-2007-0478", value:TRUE);
 set_kb_item(name:"CVE-2007-0537", value:TRUE);
}
