#
# (C) Tenable Network Security
#
# This plugin text was extracted from Mandrake Linux Security Advisory MDKSA-2007:121
#


if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(25515);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CVE-2007-2754");
 
 name["english"] = "MDKSA-2007:121: freetype2";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
The remote host is missing the patch for the advisory MDKSA-2007:121 (freetype2).

An integer overflow vulnerability was discovered in the way the
FreeType font engine processed TTF files. If a user were to load a
special font file with a program linked against freetype, it could
cause the application to crash or possibly execute arbitrary code as
the user running the program.
The updated packages have been patched to prevent this issue.

Solution : http://wwwnew.mandriva.com/security/advisories?name=MDKSA-2007:121
Risk factor : High";



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the freetype2 package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Mandrake Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Mandrake/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"libfreetype6-2.2.1-4.2mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libfreetype6-devel-2.2.1-4.2mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libfreetype6-static-devel-2.2.1-4.2mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libfreetype6-2.3.1-3.2mdv2007.1", release:"MDK2007.1", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libfreetype6-devel-2.3.1-3.2mdv2007.1", release:"MDK2007.1", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libfreetype6-static-devel-2.3.1-3.2mdv2007.1", release:"MDK2007.1", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if (rpm_exists(rpm:"freetype2-", release:"MDK2007.0")
 || rpm_exists(rpm:"freetype2-", release:"MDK2007.1") )
{
 set_kb_item(name:"CVE-2007-2754", value:TRUE);
}
