#
# (C) Tenable Network Security
#
# This plugin text was extracted from Mandrake Linux Security Advisory MDKSA-2007:123
#


if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(25517);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CVE-2007-2756");
 
 name["english"] = "MDKSA-2007:123: libwmf";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
The remote host is missing the patch for the advisory MDKSA-2007:123 (libwmf).

A flaw in libgd2 was found by Xavier Roche where it would not correctly
validate PNG callback results. If an application linked against
libgd2 was tricked into processing a specially-crafted PNG file, it
could cause a denial of service scenario via CPU resource consumption.
Libwmf uses an embedded copy of the gd source and may also be affected
by this issue.
The updated packages have been patched to prevent this issue.

Solution : http://wwwnew.mandriva.com/security/advisories?name=MDKSA-2007:123
Risk factor : High";



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the libwmf package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Mandrake Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Mandrake/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"libwmf-0.2.8.4-6.2mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libwmf0.2_7-0.2.8.4-6.2mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libwmf0.2_7-devel-0.2.8.4-6.2mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libwmf-0.2.8.4-12.1mdv2007.1", release:"MDK2007.1", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libwmf0.2_7-0.2.8.4-12.1mdv2007.1", release:"MDK2007.1", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libwmf0.2_7-devel-0.2.8.4-12.1mdv2007.1", release:"MDK2007.1", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if (rpm_exists(rpm:"libwmf-", release:"MDK2007.0")
 || rpm_exists(rpm:"libwmf-", release:"MDK2007.1") )
{
 set_kb_item(name:"CVE-2007-2756", value:TRUE);
}
