#
# (C) Tenable Network Security
#
#
# The text of this plugin is (C) Red Hat Inc.

if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(25313);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CVE-2007-0493", "CVE-2007-0494");

 name["english"] = "RHSA-2007-0057: bind";
 
 script_name(english:name["english"]);
 
 desc["english"] = '

  Updated bind packages that fix a security issue and a bug are now available
  for Red Hat Enterprise Linux 5.

  This update has been rated as having moderate security impact by the Red
  Hat Security Response Team.

  ISC BIND (Berkeley Internet Name Domain) is an implementation of the DNS
  (Domain Name System) protocols.

  A flaw was found in the way BIND processed certain DNS query responses. On
  servers that had enabled DNSSEC validation, this could allow a remote
  attacker to cause a denial of service. (CVE-2007-0494)

  A use-after-free flaw was found in BIND. On servers that have recursion
  enabled, this could allow a remote attacker to cause a denial of service.
  (CVE-2007-0493)

  Users of BIND are advised to upgrade to these updated packages, which
  contain backported patches to correct these issues.




Solution : http://rhn.redhat.com/errata/RHSA-2007-0057.html
Risk factor : High';

 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the bind packages";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Red Hat Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"bind-9.3.3-8.el5", release:"RHEL5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"bind-chroot-9.3.3-8.el5", release:"RHEL5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"bind-devel-9.3.3-8.el5", release:"RHEL5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"bind-libbind-devel-9.3.3-8.el5", release:"RHEL5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"bind-libs-9.3.3-8.el5", release:"RHEL5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"bind-sdb-9.3.3-8.el5", release:"RHEL5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"bind-utils-9.3.3-8.el5", release:"RHEL5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"caching-nameserver-9.3.3-8.el5", release:"RHEL5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"bind-9.3.3-8.el5", release:"RHEL5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"bind-libs-9.3.3-8.el5", release:"RHEL5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"bind-sdb-9.3.3-8.el5", release:"RHEL5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"bind-utils-9.3.3-8.el5", release:"RHEL5") )
{
 security_hole(0);
 exit(0);
}

if ( rpm_exists(rpm:"bind-", release:"RHEL5") )
{
 set_kb_item(name:"CVE-2007-0493", value:TRUE);
 set_kb_item(name:"CVE-2007-0494", value:TRUE);
}
if ( rpm_exists(rpm:"bind-", release:"RHEL5") )
{
 set_kb_item(name:"CVE-2007-0493", value:TRUE);
 set_kb_item(name:"CVE-2007-0494", value:TRUE);
}

set_kb_item(name:"RHSA-2007-0057", value:TRUE);
