#
# (C) Tenable Network Security
#
#
# The text of this plugin is (C) Red Hat Inc.

if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(25316);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CVE-2007-0451");

 name["english"] = "RHSA-2007-0075: spamassassin";
 
 script_name(english:name["english"]);
 
 desc["english"] = '

  Updated spamassassin packages that fix a security issue are now available
  for Red Hat Enterprise Linux 5.

  This update has been rated as having important security impact by the Red
  Hat Security Response Team.

  SpamAssassin provides a way to reduce unsolicited commercial email (spam)
  from incoming email.

  A flaw was found in the way SpamAssassin processes HTML email containing
  URIs. A carefully crafted mail message could cause SpamAssassin to consume
  significant resources. If a number of these messages are sent, this could
  lead to a denial of service, potentially delaying or preventing the
  delivery of email. (CVE-2007-0451)

  Users of SpamAssassin should upgrade to these updated packages which
  contain version 3.1.8 which is not vulnerable to these issues.




Solution : http://rhn.redhat.com/errata/RHSA-2007-0075.html
Risk factor : High';

 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the spamassassin packages";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Red Hat Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"spamassassin-3.1.8-2.el5", release:"RHEL5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"spamassassin-3.1.8-2.el5", release:"RHEL5") )
{
 security_hole(0);
 exit(0);
}

if ( rpm_exists(rpm:"spamassassin-", release:"RHEL5") )
{
 set_kb_item(name:"CVE-2007-0451", value:TRUE);
}
if ( rpm_exists(rpm:"spamassassin-", release:"RHEL5") )
{
 set_kb_item(name:"CVE-2007-0451", value:TRUE);
}

set_kb_item(name:"RHSA-2007-0075", value:TRUE);
