#
# (C) Tenable Network Security
#
#
# The text of this plugin is (C) Red Hat Inc.

if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(25328);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CVE-2007-0771", "CVE-2007-1000", "CVE-2007-1388");

 name["english"] = "RHSA-2007-0169: kernel";
 
 script_name(english:name["english"]);
 
 desc["english"] = '

  Updated kernel packages that fix security issues and bugs in the Red Hat
  Enterprise Linux 5 kernel are now available.

  This update has been rated as having important security impact by the Red
  Hat Security Response Team.

  The Linux kernel handles the basic functions of the operating system.

  These new kernel packages contain fixes for the following security issues:

  * a flaw in the IPv6 socket option handling that allowed a local user to
  read arbitrary kernel memory (CVE-2007-1000, Important).

  * a flaw in the IPv6 socket option handling that allowed a local user to
  cause a denial of service (CVE-2007-1388, Important).

  * a flaw in the utrace support that allowed a local user to cause a denial
  of service (CVE-2007-0771, Important).

  In addition to the security issues described above, a fix for a memory leak
  in the audit subsystem and a fix for a data corruption bug on s390 systems
  have been included.

  Red Hat Enterprise Linux 5 users are advised to upgrade to these erratum
  packages, which are not vulnerable to these issues.




Solution : http://rhn.redhat.com/errata/RHSA-2007-0169.html
Risk factor : High';

 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the kernel packages";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Red Hat Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"kernel-2.6.18-8.1.3.el5", release:"RHEL5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"kernel-PAE-2.6.18-8.1.3.el5", release:"RHEL5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"kernel-PAE-devel-2.6.18-8.1.3.el5", release:"RHEL5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"kernel-devel-2.6.18-8.1.3.el5", release:"RHEL5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"kernel-doc-2.6.18-8.1.3.el5", release:"RHEL5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"kernel-headers-2.6.18-8.1.3.el5", release:"RHEL5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"kernel-xen-2.6.18-8.1.3.el5", release:"RHEL5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"kernel-xen-devel-2.6.18-8.1.3.el5", release:"RHEL5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"kernel-2.6.18-8.1.3.el5", release:"RHEL5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"kernel-PAE-2.6.18-8.1.3.el5", release:"RHEL5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"kernel-doc-2.6.18-8.1.3.el5", release:"RHEL5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"kernel-headers-2.6.18-8.1.3.el5", release:"RHEL5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"kernel-xen-2.6.18-8.1.3.el5", release:"RHEL5") )
{
 security_hole(0);
 exit(0);
}

if ( rpm_exists(rpm:"kernel-", release:"RHEL5") )
{
 set_kb_item(name:"CVE-2007-0771", value:TRUE);
 set_kb_item(name:"CVE-2007-1000", value:TRUE);
 set_kb_item(name:"CVE-2007-1388", value:TRUE);
}
if ( rpm_exists(rpm:"kernel-", release:"RHEL5") )
{
 set_kb_item(name:"CVE-2007-0771", value:TRUE);
 set_kb_item(name:"CVE-2007-1000", value:TRUE);
 set_kb_item(name:"CVE-2007-1388", value:TRUE);
}

set_kb_item(name:"RHSA-2007-0169", value:TRUE);
